/**
 * The `MenuTitle` component can be used to title and group `MenuItem`'s within a `Menu`.
 * */
export default {
  title: 'Components/Menu/MenuTitle',
  tags: ['autodocs'],
  argTypes: {
    text: {
      control: 'text',
    },
  },
  args: {
    text: 'Menu title',
  },
}

const MenuItemTemplate = ({ text }) => {
  return `
    <ul><li class="rpf-menu__title"><span>${text}</span></li></ul>`
}

export const Default = MenuItemTemplate.bind({})
Default.args = {}
